
Foniatr - Feature #222
Uzivatelske role - admin, admintest, respondent
25 May 2015 10:13 - Tomáš Kulhánek

Status: Resolved Start date: 25 May 2015
Priority: High Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 24.00 hours
Target version: Psychotest2 Spent time: 26.00 hours
Description

2) Administrace PsychotestEditor – vytvoření uživatelského prostředí a pravidel pro správu účtů a přístupová práva k aplikaci
s oprávněními: 
a. Hlavni administrátor – má práva nahlížet do všech účtů a jejich výsledků;
b. Administrátoři testů 
i. Mohou sestavovat (programovat) testy (definují prostředí, vkládají stimulové soubory) - administrátor po přihlášení bude mít
k dispozici strukturu s testy, které administruje, k těmto testům na administrátorské úrovni mají přistup jenom oni a hlavní
administrátor (v případě, že vypomáhá při tvorbě testu).
ii. Mají přístup k hrubým výsledkům – testům.
iii. Přidají specifické ID (bude pak pod tím ID vedeno jako speciální WWW stránka
iv. Definují případnou povolenou skupinu hodnotitelů – nutno nastavit způsob zadávání přístupu (tabulka povolených emailů...)
c. Respondenti – po zadání adresy testu (nebo ID) se dostanou přímo k testu, vyplní přihlašovací údaje, v případě specifických
neveřejných testů se musí přihlásit nějaký, ID a heslem.

History
#1 - 23 July 2015 14:54 - Tomáš Kulhánek
- % Done changed from 0 to 10
- Estimated time set to 24.00

prvni role definovany pro admin ma pristup do - Admin_pages, editor ma pristup do Editor_pages, ostatni nikam

#2 - 24 July 2015 09:23 - Tomáš Kulhánek
- Status changed from New to Assigned
- Priority changed from Normal to High

#3 - 24 July 2015 15:15 - Tomáš Kulhánek
- % Done changed from 10 to 40

Kombinace authenticated (vyplnil heslo, je registrovan) a non-authenticated (vyplni jmeno na zacatku testu) user.
Tabulka s povolenim na operace 
    -  read (cteni testu a vyplneni testu), 
    -  result (koukani na vysledky) (tito nemusi byt registrovani), 
    -  write (muze test editovat), 
    -  manage (muze testu priradit prava read, result,write,manage i jinym uzivatelum, jen registrovani ale vyuziji prava write a manage)

Registrovany uzivatel v roli admins pak ma prava na vsechno.

Nutno dodelat:
- editor teto tabulky (pokud uzivatel ma pravo manage)
- osetreni viditelnosti testu - u Read uz je implementovane.
#4 - 28 July 2015 17:52 - Tomáš Kulhánek
- % Done changed from 40 to 60

V seznamu testu (psychotest.htm a Editor_pages/Editor.aspx) se filtruji nazvy testu takto:

admin - pravo na vsechno = objevi se mu v seznamu vsechny testy
owner - nova polozka v tabulce = objevi se testy, ktere vytvoril
user - nova struktura, ktera definuje prava = zatim prazdna
'respondentname/' - uzivatel jehoz jmeno je 'respondentname' ma pravo videt v seznamu vsechny testy ktere zacinaji jeho jmenem a lomitkem, napr.
uzivatel 'tomas' uvidi tyto testy 'tomas/GRBAS1'  'tomas/PAROVYTEST' ...

pokud uzivatel zada primo unikatni URL testu, pak samozrejme se mu test nacte a spusti.

#5 - 28 July 2015 17:53 - Tomáš Kulhánek
- Category set to HTML5 client
- Assignee set to Tomáš Kulhánek

#6 - 30 July 2015 11:56 - Tomáš Kulhánek
- % Done changed from 60 to 80

Pridana struktura psychotestPermission
- filtruje uzivatele a role

#7 - 30 July 2015 16:09 - Tomáš Kulhánek
- % Done changed from 80 to 90

novy typ definice: "projekt"

project demoprojekt9
  users marek,tomas,zdenek
  test tomas/obrazkyatext tomas/mezerytest tomas/mezerytest2

Definuje novou roli demoprojekt9, do teto role jsou zarazeni uzivatele marek,tomas,zdenek
a tato role definuje pro testy v radku test pravo na cteni (tj, temto neautentikovanym uzivatelum se zobrazi vyse zminene testy)
- Jeste chybi mazani projektu = mazani roli a aktualizace prav.

#8 - 31 July 2015 14:46 - Tomáš Kulhánek
- Status changed from Assigned to Resolved
- % Done changed from 90 to 100

Prava a role definovany:

    -  Neautentikovany uzivatel = vyplni jen uzivatelske jmeno na zacatku - musi byt prirazeny jako user k nejakemu projektu, jinak vidi jen demo testy
    -  Autentikovany uzivatel = ktery se prihlasil pres http://physiome.lf1.cuni.cz/psychoacoustictest/Home.aspx vidi testy jak v standardnim rozhrani 
http://physiome.lf1.cuni.cz/psychoacoustictest/ tak i v editoru http://physiome.lf1.cuni.cz/psychoacoustictest/Editor_pages/Editor.aspx takove, jejichz je
vlastnikem, nebo je administrator (vidi vse) nebo je prirazen v ramci projektu
